Package org.eclipse.emf.cdo.net4j

# Interface ReconnectingCDOSessionConfiguration

All Superinterfaces:
  `CDONet4jSessionConfiguration`, `CDOSessionConfiguration`, `CDOSessionConfiguration`, `org.eclipse.net4j.util.event.INotifier`, `RecoveringCDOSessionConfiguration`

public interface ReconnectingCDOSessionConfiguration extends RecoveringCDOSessionConfiguration
A `session configuration` that recovers from network problems by attempting to reconnect to the same repository in specific intervals.

Since:
  4.0
Author:
  Caspar De Groot
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.session.CDOSessionConfiguration

`CDOSessionConfiguration.SessionOpenedEvent`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`int`
`getMaxReconnectAttempts()`
`long`
`getReconnectInterval()`
`void`
`setMaxReconnectAttempts(int attempts)`
`void`
`setReconnectInterval(long interval)`

### Methods inherited from interface org.eclipse.emf.cdo.net4j.CDONet4jSessionConfiguration

`getBranchManager, getConnector, getPackageRegistry, getRepositoryName, getRevisionManager, getSignalTimeout, getStreamWrapper, openNet4jSession, openSession, setBranchManager, setConnector, setPackageRegistry, setRepositoryName, setRevisionManager, setSignalTimeout, setStreamWrapper`

### Methods inherited from interface org.eclipse.emf.cdo.session.CDOSessionConfiguration

`getAuthenticator, getCredentialsProvider, getExceptionHandler, getFetchRuleManager, getIDGenerator, getLockNotificationMode, getOneTimeLoginToken, getPassiveUpdateMode, getUserID, isActivateOnOpen, isPassiveUpdateEnabled, isSessionOpen, setActivateOnOpen, setCredentialsProvider, setExceptionHandler, setFetchRuleManager, setIDGenerator, setLockNotificationMode, setOneTimeLoginToken, setPassiveUpdateEnabled, setPassiveUpdateMode, setUserID`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.emf.cdo.net4j.RecoveringCDOSessionConfiguration

`getConnectorTimeout, getHeartBeatPeriod, getHeartBeatTimeout, isHeartBeatEnabled, setConnectorTimeout, setHeartBeatEnabled, setHeartBeatPeriod, setHeartBeatTimeout`

## Method Details

### getReconnectInterval

long getReconnectInterval()

### setReconnectInterval

void setReconnectInterval(long interval)

### getMaxReconnectAttempts

int getMaxReconnectAttempts()

### setMaxReconnectAttempts

void setMaxReconnectAttempts(int attempts)